<div class="card mb-4">
    {% if list == true %}
    <a href="{{ path('display_article', {'id': row.idBlogPost }) }}">
        <img class="card-img-top" src="{{row.imgUrl}}" alt="{{row.title}}">
    </a>
    {% else %}
    <img class="card-img-top" src="{{row.imgUrl}}" alt="{{row.title}}">
    {% endif %}
    <div class="card-header">
        <a href="{{ path('display_article', {'id': row.idBlogPost }) }}">
            {# {% if row.title|length > 22 and list == true%}
            <h3>{{row.title[:22] ~ '...'}}</h3>
            {% else %} #}
            <h3>{{row.title}}</h3>
            {# {% endif %} #}
        </a>
        <a href="{{ path('sort_blogposts', {'id': row.idCategories }) }}"><small class="text-muted">
                {% if row.idCategories == 1 %}
                Catégorie Romans
                {% elseif row.idCategories == 2 %}
                Catégorie Sérieux
                {% elseif row.idCategories == 3 %}
                Catégorie Découverte
                {% endif %}
            </small></a>
    </div>
    <div class="card-body">
        <p class="card-text">
            {# {{ row.content|length > 50 ? row.content|slice(0, 50) ~ '...' : row.content  }} #}
            {% if row.content|length > 400 and list == true%}
            {{row.content[:400] ~ '...'}}
        </p>
        <a href="{{ path('display_article', {'id': row.idBlogPost }) }}" class="btn btn-outline-warning">More <i class="fas fa-caret-right"></i></a>
        {% else %}
        {{row.content}}
        </p>
        {% endif %}
    </div>
    <div class="card-footer text-muted">
        {% if row.lastModified is null %}
        Posté le {{row.creationDate}}, by {{row.author}}.
        {% else %}
        Modifié pour la dernière fois le {{row.lastModified}}. Créé par {{row.author}}.
        {% endif %}
    </div>
</div>